#! /usr/bin/env node
var program = require('commander');
var colors = require('colors');
const { parseGui } = require('./bbl');

program
.version('1.0.0')
.usage('test')
.requiredOption('-p, --psdpath [psdpath]', '[must]psd路径',null)
.requiredOption('-o, --outpath [outpath]', '[must]gui输出路径',null)

program
.command('deploy <name>')
.description('psd转babylonjs-gui')
program.action( (option) =>{
    if(option.psdpath&&option.outpath){
       // console.log(option)
        console.error("正在编译,请稍后..."['yellow'])
        parseGui(option.psdpath,option.outpath)
    }else{
        console.error("输入格式不正确"['red'])
        console.error("参考:"['blue'],"psd2babylonguixml -p ./demo.psd -o ./demo"['green'])
        console.error("帮助:"['blue'],"psd2babylonguixml -h"['green'])
        console.error( program.help())
    }
});

program.parse(process.argv);